com.io7m.jtensors.bytebuffered

## Interface ByteBufferedType

- All Known Subinterfaces:
    MatrixByteBuffered2x2DType, MatrixByteBuffered2x2FType, MatrixByteBuffered3x3DType, MatrixByteBuffered3x3FType, MatrixByteBuffered4x4DType, MatrixByteBuffered4x4FType, PMatrixByteBuffered3x3DType<T0,T1>, PMatrixByteBuffered3x3FType<T0,T1>, PMatrixByteBuffered4x4DType<T0,T1>, PMatrixByteBuffered4x4FType<T0,T1>, PVectorByteBuffered2DType<T>, PVectorByteBuffered2FType<T>, PVectorByteBuffered2IType<T>, PVectorByteBuffered2LType<T>, PVectorByteBuffered3DType<T>, PVectorByteBuffered3FType<T>, PVectorByteBuffered3IType<T>, PVectorByteBuffered3LType<T>, PVectorByteBuffered4DType<T>, PVectorByteBuffered4FType<T>, PVectorByteBuffered4IType<T>, PVectorByteBuffered4LType<T>, QuaternionByteBuffered4DType, QuaternionByteBuffered4FType, VectorByteBuffered2DType, VectorByteBuffered2FType, VectorByteBuffered2IType, VectorByteBuffered2LType, VectorByteBuffered3DType, VectorByteBuffered3FType, VectorByteBuffered3IType, VectorByteBuffered3LType, VectorByteBuffered4DType, VectorByteBuffered4FType, VectorByteBuffered4IType, VectorByteBuffered4LType
  All Known Implementing Classes:
    ByteBuffered, MatrixByteBufferedM2x2D, MatrixByteBufferedM2x2F, MatrixByteBufferedM3x3D, MatrixByteBufferedM3x3F, MatrixByteBufferedM4x4D, MatrixByteBufferedM4x4F, PMatrixByteBufferedM3x3D, PMatrixByteBufferedM3x3F, PMatrixByteBufferedM4x4D, PMatrixByteBufferedM4x4F, PVectorByteBufferedM2D, PVectorByteBufferedM2F, PVectorByteBufferedM2I, PVectorByteBufferedM2L, PVectorByteBufferedM3D, PVectorByteBufferedM3F, PVectorByteBufferedM3I, PVectorByteBufferedM3L, PVectorByteBufferedM4D, PVectorByteBufferedM4F, PVectorByteBufferedM4I, PVectorByteBufferedM4L, QuaternionByteBufferedM4D, QuaternionByteBufferedM4F, VectorByteBufferedM2D, VectorByteBufferedM2F, VectorByteBufferedM2I, VectorByteBufferedM2L, VectorByteBufferedM3D, VectorByteBufferedM3F, VectorByteBufferedM3I, VectorByteBufferedM3L, VectorByteBufferedM4D, VectorByteBufferedM4F, VectorByteBufferedM4I, VectorByteBufferedM4L

      public interface ByteBufferedType

  The type of tensors backed by byte buffers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getByteOffset()`
    `void` | `setByteOffset(long b)` Set the base byte offset of this value.

- - ### Method Detail

    - #### getByteOffset

          long getByteOffset()

      Returns:
        The base byte offset of this value

    - #### setByteOffset

          void setByteOffset(long b)

      Set the base byte offset of this value.

      Must be non-negative.

      Parameters:
        `b` - The offset in bytes
      Throws:
        `IllegalArgumentException` - If `b < 0`

Copyright © 2016 <code@io7m.com> http://io7m.com